%{?nodejs_find_provides_and_requires}

%global enable_tests 1

Name:       nodejs-connect
Version:    3.6.5
Release:    3%{?dist}
Summary:    High performance middleware framework for Node.js
License:    MIT
Group:      System Environment/Libraries
URL:        https://github.com/senchalabs/connect
Source0:    https://registry.npmjs.org/connect/-/connect-%{version}.tgz
# The test folder was not included in the npm tarball. Source1 is generated by
# running Source10, which pulls from the upstream version control repository.
Source1:    tests-%{version}.tar.bz2
Source10:   dl-tests.sh

BuildArch:  noarch
%if 0%{?fedora} >= 19
ExclusiveArch: %{nodejs_arches} noarch
%else
ExclusiveArch: %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:  nodejs-packaging
BuildRequires:  npm(debug)
BuildRequires:  npm(finalhandler)
BuildRequires:  npm(parseurl)
BuildRequires:  npm(utils-merge)
%if 0%{?enable_tests}
BuildRequires:  mocha
BuildRequires:  npm(should)
BuildRequires:  npm(should-http)
BuildRequires:  npm(supertest)
%endif

%description
Connect is an extensible HTTP server framework for node, providing high
performance "plugins" known as middleware.

Connect is bundled with over 20 commonly used middleware, including a logger,
session support, cookie parser, and more.


%prep
%setup -q -n package
%setup -q -T -D -a 1 -n package


%nodejs_fixdep debug
%nodejs_fixdep finalhandler '^1.1.0'

%build
#nothing to do


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/connect

cp -pr package.json index.js \
    %{buildroot}%{nodejs_sitelib}/connect

%nodejs_symlink_deps


%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
NODE_ENV=test %{_bindir}/mocha -R spec \
    --timeout 600 --require should-http test/*.js --bail
%else
%{_bindir}/echo -e "\e[101m -=#=- Tests disabled -=#=- \e[0m"
%endif


%files
%doc *.md
%license LICENSE
%{nodejs_sitelib}/connect


%changelog
* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 3.6.5-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Thu Feb 08 2018 Fedora Release Engineering <releng@fedoraproject.org> - 3.6.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Tue Oct 03 2017 Jared Smith <jsmith@fedoraproject.org> - 3.6.5-1
- Update to upstream 3.6.5 release

* Wed Sep 27 2017 Jared Smith <jsmith@fedoraproject.org> - 2.14.5-12
- Relax dependency on npm(express-session)

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.14.5-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Thu Apr 13 2017 Jared Smith <jsmith@fedoraproject.org> - 2.14.5-10
- Relax dependency on npm(cookie-parser)
- Relax dependency on npm(method-override)
- Relax dependency on npm(raw-body)
- Relax dependency on npm(vhost)

* Thu Apr 13 2017 Jared Smith <jsmith@fedoraproject.org> - 2.14.5-9
- Relax dependency on npm(bytes)

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.14.5-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 2.14.5-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jan 20 2016 Tom Hughes <tom@compton.nu> - 2.14.5-6
- Update npm(qs) dependency

* Tue Nov 24 2015 Tom Hughes <tom@compton.nu> - 2.14.5-5
- update npm(debug) dependency

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.14.5-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.14.5-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri Apr 25 2014 Jamie Nguyen <jamielinux@fedoraproject.org> - 2.14.5-2
- temporarily disable tests

* Fri Apr 25 2014 Jamie Nguyen <jamielinux@fedoraproject.org> - 2.14.5-1
- update to upstream release 2.14.5

* Mon Mar 17 2014 Jamie Nguyen <jamielinux@fedoraproject.org> - 2.14.2-2
- fix versioned dependencies

* Sat Mar 15 2014 Jamie Nguyen <jamielinux@fedoraproject.org> - 2.14.2-1
- update to upstream release 2.14.2

* Mon Mar 10 2014 Jamie Nguyen <jamielinux@fedoraproject.org> - 2.14.1-1
- update to upstream release 2.14.1

* Mon Feb 24 2014 Jamie Nguyen <jamielinux@fedoraproject.org> - 2.13.0-1
- update to upstream release 2.13.0

* Mon Aug 26 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 2.8.5-1
- update to upstream release 2.8.5

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.7.10-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Sat May 25 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 2.7.10-1
- update to upstream release 2.7.10

* Wed Apr 17 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 2.7.6-1
- update to upstream release 2.7.6

* Mon Apr 15 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 2.7.5-1
- update to upstream release 2.7.5

* Tue Apr 09 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 2.7.4-4
- make some of the versioned dependencies even less specific

* Tue Apr 09 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 2.7.4-3
- make all versioned dependencies less specific

* Tue Apr 09 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 2.7.4-2
- fix version of npm(cookie) dependency

* Sun Apr 07 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 2.7.4-1
- update to upstream release 2.7.4

* Fri Mar 15 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 2.7.3-3
- make the versioned dependency on npm(formidable) less specific

* Sat Mar 02 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 2.7.3-2
- move non-javascript sources from lib/public to %%{_datadir}
- do not include lib-cov/ directory

* Wed Feb 20 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 2.7.3-1
- update to upstream release 2.7.3
- remove nodejs-connect-2.7.2-deps.patch as it has now been applied upstream

* Wed Feb 13 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 2.7.2-3
- make use of %%nodejs_fixdep

* Tue Feb 12 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 2.7.2-2
- document how to retrieve tests

* Mon Feb 11 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 2.7.2-1
- initial package
